import request from '/@/utils/request';

export function hiddenRectifyApi() {
    return {
        // v1
        getHiddenRectifyList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/dangerRectify/select/getDangerRectifyPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        submitHiddenRectify: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/dangerRectify/update/applyReport`,
                method: 'post',
                data: data
            });
        },
        // v1
        delayHiddenRectifyTime: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/dangerRectify/update/timeOutRectify`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteHiddenRectify: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/dangerRectify/delete/deleteDangerRectify`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllHiddenRectifyList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/device/select/listDevices`,
                method: 'post'
            });
        },
        getCodeByTime: (date: string) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/dangerManage/count/byCreateDate?date=${date}`,
                method: 'get'
            });
        }
    };
}
